#
# spec file for package mcrypt (Version 2.5.7)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  libmcrypt libmcrypt-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libmcrypt libmcrypt-devel libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         mcrypt
%define mhash mhash-0.8.9
Copyright:    GPL
Group:        Utilities/Security
Autoreqprov:  on
Version:      2.5.7
Release:      43
Summary:      Replacement for crypt command
Source:       %{name}-%{version}.tar.bz2
Source1:      %{mhash}.tar.bz2
Patch:	      %{name}-%{version}.dif
BuildRoot:    /tmp/%{name}-%{version}-build
URL:	      http://mcrypt.hellug.gr/
#URL:	      http://mhash.sourceforge.net/

%description
A replacement for the old unix crypt(1) command. Mcrypt
uses the following encryption (block) algorithms: BLOWFISH,
DES, TripleDES, 3-WAY, SAFER-SK64, SAFER-SK128, CAST-128, RC2
TEA (extended), TWOFISH, RC6, IDEA and GOST. The unix crypt
algorithm is also included, to allow compatibility with the
crypt(1) command.
CBC, ECB, OFB and CFB modes of encryption are supported.

Authors:
--------
    Nikos Mavroyanopoulos <nmav@hellug.gr>

SuSE series: sec

%prep
%setup -a 1
%patch 

%build
cd %{mhash}
%{?suse_update_config:%{suse_update_config -f}}
libtoolize --force
aclocal
automake
autoconf
CFLAGS="$RPM_OPT_FLAGS" ./configure  \
                        --prefix=/usr \
                        --mandir=%{_mandir} 
make
cd ..
ln -s %{mhash}/lib/mhash.h .
ln -s %{mhash}/lib/.libs/libmhash.a .
%{?suse_update_config:%{suse_update_config -f}}
aclocal
automake
autoconf
CFLAGS="$RPM_OPT_FLAGS" ./configure \
                        --prefix=/usr \
                        --mandir=%{_mandir} 
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
make install  DESTDIR=$RPM_BUILD_ROOT
cp %{mhash}/AUTHORS AUTHORS.mhash
cp %{mhash}/ChangeLog ChangeLog.mhash
cp %{mhash}/NEWS NEWS.mhash
cp %{mhash}/README README.mhash
cp %{mhash}/TODO TODO.mhash

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc AUTHORS ChangeLog LSM NEWS README THANKS TODO 
%doc AUTHORS.mhash ChangeLog.mhash NEWS.mhash README.mhash TODO.mhash
%doc doc/FORMAT doc/magic doc/sample.mcryptrc 
%doc %{mhash}/doc/md5-rfc1321.txt
/usr/bin/*
/usr/share/locale/cs/LC_MESSAGES/mcrypt.mo
/usr/share/locale/el/LC_MESSAGES/mcrypt.mo
/usr/share/locale/pl/LC_MESSAGES/mcrypt.mo

%changelog -n mcrypt
* Mon Aug 06 2001 - cihlar@suse.cz
- fixed calls of autoconf, aclocal and automake
* Tue Jun 26 2001 - pblaha@suse.cz
- update on 2.5.7 and mhash on 0.8.9
* Mon May 28 2001 - pblaha@suse.cz
- fix include on ia64
* Fri Apr 27 2001 - pblaha@suse.cz
- fixed .po files for correct locale
* Mon Oct 16 2000 - pblaha@suse.cz
- update to 2.5.5 and repair czech locales
* Mon May 29 2000 - bubnikv@suse.cz
- sorted
* Mon Apr 17 2000 - bubnikv@suse.cz
- new package (2.5.3)
